apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
 annotations:
    # add an annotation indicating the issuer to use.
    cert-manager.io/cluster-issuer: letsencrypt
 name: web-ui-ingress
spec:
 ingressClassName: nginx
 rules:
 - host: web.dawit.gebeyalearning.com
   http:
    paths:
    - path: /
      pathType: Prefix
      backend:
        service:
          name: web-ui-svc
          port:
            number: 80
 tls: # < placing a host in the TLS config will determine what ends up in the cert's subjectAltNames
 - hosts:
   - web.dawit.gebeyalearning.com
    # secretName: lets-encrypt-tls # < cert-manager will store the created certificate in this secret.
   secretName: cert-certeficate-tls # < cert-manager will store the created certificate in this secret.